VIPW(8)

NAME
vipw, vigr - bearbeitet die Passwort-, Gruppen-, Shadow-Passwort- oder Shadow-Gruppen-Datei

SYNOPSIS

vipw [Optionen]

vigr [Optionen]

BESCHREIBUNG

Die Befehle vipw und vigr bearbeiten die Dateien /etc/passwd beziehungsweise /etc/group. Mit der Option -s bearbeiten sie die Shadow-Versionen beider Dateien, /etc/shadow und /etc/gshadow. Die Programme werden die notwendige Sperre einrichten, um eine Beschädigung der Dateien zu verhindern. Wenn ein Editor benötigt wird, werden zuerst die Umgebungsvariable $VISUAL ausgewertet, danach die Umgebungsvariable $EDITOR. Zuletzt wird der Standardeditor vi(1) verwendet.

OPTIONEN

Die Optionen, die von den Befehlen vipw und vigr unterstützt werden, sind:

-g, --group
    Bearbeitet die Gruppen-Datenbank.

-h, --help
    Zeigt die Hilfe an und beendet das Programm.

-p, --passwd
    Bearbeitet die Passwd-Datenbank.

-q, --quiet
    Stiller Modus.

-s, --shadow
    Bearbeitet die Shadow- oder Gshadow-Datenbank.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten.

/etc/gshadow
    Verschlüsselte Informationen zu den Gruppenkonten.

/etc/passwd
    Informationen zu den Benutzerkonten.

/etc/shadow
    Verschlüsselte Informationen zu den Benutzerkonten.

SIEHE AUCH

vi(1), group(5), gshadow(5)passwd(5), shadow(5).